#
# spec file for package gap-normalizinterface
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-normalizinterface
Version:        1.0.2
Release:        lp151.2.3
Summary:        GAP: wrapper for Normaliz
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            https://www.normaliz.uni-osnabrueck.de

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/NormalizInterface-%version.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gap-devel >= 4.8
BuildRequires:  gap-rpm-devel
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  normaliz-devel >= 3.1
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gap-core >= 4.8.1

%description
The NormalizInterface package provides a GAP interface to Normaliz,
enabling direct access to the complete functionality of Normaliz,
such as computations in affine monoids, vector configurations,
lattice polytopes, and rational cones.

%prep
%setup -qn NormalizInterface-%version

%build
autoreconf -fi
%configure --with-gaproot="%gapdir" --with-normaliz="%_prefix"
make %{?_smp_mflags} V=1

%install
b="%buildroot/%gap_sitearch/normalizinterface"
mkdir -p "$b"
cp -a bin doc examples lib tst *.g [A-Z]* "$b/"
%fdupes %buildroot/%_prefix

%files
%defattr(-,root,root)
%gap_sitearch/*

%changelog
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 1.0.2
  * update to libnormaliz 3.4.0
  * added cone properties
  * added wrappers for new normaliz functionality
* Mon Jun 20 2016 jengelh@inai.de
- Update to new upstream release 0.9.8
  * Support for normaliz 3.1.1 (declarative only; no changes)
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 0.9.7
  * fix a bug in the conversion between GAP and Normaliz integer
  values, which could lead to wrong results for integers with
  absolute value roughly between 2^32 and 2^60
  * fix crash when using StructuralCopy on a cone (issue #38)
  * fix printing of certain integers on 32bit systems (issue #36)
  * give better diagnostics when loading NormalizInterface fails due
  to its kernel extension missing
* Sat Mar 12 2016 jengelh@inai.de
- Initial package (version 0.9.5) for build.opensuse.org
